! Copyright (C)  2007  P.-A. von Wolffersdorff
!
! This program is free software; you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation; either version 2 of the License, or
! (at your option) any later version.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this program; if not, write to the Free Software
! Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
!  USA.

c---------------------------------------------------------------------
c234567890123456789012345678901234567890123456789012345678901234567890
c     P.-A. v. Wolffersdorff, Dresden, March 2009
c     Baugrund Dresden Ingenieurgesellschaft mbH
c     e-mail:
c     wolffersdorff@baugrund-dresden.de
c
c  initialierung der zustandsgroessen
c---------------------------------------------------------------------
      Subroutine StVarIni_hcea (statev, props, noel, npt)  
c---------------------------------------------------------------------
c  statev(nstatv)     I/O  R()  zustandsgroessen 
c  nstatv	       I   I    anzahl der zustandsgroessen	
c  props(nprops)       I   R()  materialparameter
c  nprops	       I   I    anzahl der materialparameter
c
c  die materialparameter sind im vektor props(i), i=1,(14+2) gespeichert
c  zusaetzlich wird ueber props(2) und ueber einen kleistwert 
c  die kapillarkohaesion definiert.
c
c ----------------------------------------------------------------------------
c The string for the material name may contain 9 characters.
c ----------------------------------------------------------------------------
c Material constants:
c       
c     ---------------------------------------------------------------------
c     props(j)      
c     ---------------------------------------------------------------------
c        1      phi 
c        2      p_t 
c        3      lam_star
c        4      kap_star
c        5      N_star
c        6      rr
c        7      -
c        8      -
c        9      -
c        10      m_R 
c        11      m_T
c        12      RR
c        13     beta_r 
c        14     chi
c        15     bulk_w
c        16		e0         
c
c     ----------------------------------------------------------------------
c
c Solution dependent state variables (statev):
c definition via sdvini
c
c        1 ... del_11  intergranular strain component
c        2 ... del_22  intergranular strain component
c        3 ... del_33  intergranular strain component
c        4 ... del_12  intergranular strain component
c        5 ... del_13  intergranular strain component
c        6 ... del_23  intergranular strain component
c        7 ... void    void ratio
c        8 ... pore    excess pore pressure (undrained conditions, bulk_w>>0)
c        9 ... p       mean stress (o)
c       10 ... nfev    number of function evaluation
c       11 ... phi_mob phi_mob in degrees
c       12 ... rho     normalised length of intergr. strain rho
c       13 ... dtsub   suggested substep size
c
c       For undrained analyses with penalty approach:
c       bulk_w: bulk modulus of water phase
c

      Implicit Double Precision (A-H, O-Z)

      Dimension statev(*), props(*)

c intialize state variables
      
       if (statev(1) .eq. 0.0d0 .and.
     *     statev(2) .eq. 0.0d0 .and.
     *     statev(3) .eq. 0.0d0 .and.
     *     statev(4).eq. 0.0d0 .and.
     *     statev(5).eq. 0.0d0 .and.      
     *     statev(6).eq. 0.0d0)  then
       
       do i=1,6
          statev(i)=props(22+i) ! initialize e3_e3s
       enddo
       
       end if

       if (statev(14) .lt. 0.001) then
       		statev(14)=props(29)
       end if
             
      Return
      End ! StVarIni

      